#include "UGObjectPlacer.h"
#include "UGStaticData.h"
#include "../enemy/GEnemy.h"
//#include "../item/UGItem.h"

UGObjectPlacer::UGObjectPlacer(){
}

UGObjectPlacer::~UGObjectPlacer(){
}
void UGObjectPlacer::placePlayer(){
	HPLVector center = this->playerPointList[HPLMath::nextInt(0, playerPointList.size())];

	staticData->getObjectManager()->getPlayer()->setCenter(center);
	
/*	HPLVector delta = HPLVector(-50,0);
	center.add(delta);
	staticData->getObjectManager()->getPlayer()->aibo->setCenter(center);*/
}

void UGObjectPlacer::placeEnemy(HPLShootingObject* obj, HPLVector center){
	GEnemy* enemy = staticData->getObjectManager()->getEnemyManager()->create(obj->getType(),
		center);/**/

}

void UGObjectPlacer::placeNeutral(HPLShootingObject* obj, HPLVector center){
/*	UGNeutral* neutral = staticData->getObjectManager()->getNeutralManager()->create(obj->getType(),
		center);*/

}

void UGObjectPlacer::placeEffect(HPLShootingObject* obj, HPLVector center){
}

void UGObjectPlacer::placeItem(HPLShootingObject* obj, HPLVector center){
/*	UGItem* item = staticData->getObjectManager()->getItemManager()->create(
		obj->getType(),
		center);
*/
}

